database_api.list_withdraw_vesting_routes
Purpose
Returns a list of vesting withdraw routes. Parameters: start:array; limit:int; order:string
startdepends onorder(see below)limitis up to 1000.ordercan be one of:by_withdraw_route- order by withdraw routestartis an array of two values:from_account,to_account
by_destination- order by destinationstartis an array of two values:to_account,route_id
| start (array) | limit (int) | order (string) | | |----------------------------|---------------|-| | ["temp", ""] | 10 | "by_withdraw_route" | Queries first 10 routes, sort by withdraw route | | ["", 0] | 10 | "by_destination" | Queries first 10 routes, sort by destination |
Also see: Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_withdraw_vesting_routes",
"params": {
"start": [
"temp",
""
],
"limit": 10,
"order": "by_withdraw_route"
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_withdraw_vesting_routes",
"params": {
"start": [
"",
0
],
"limit": 10,
"order": "by_destination"
},
"id": 1
}'Response
RESPONSE
json
{
"routes": [
{
"id": 39503,
"from_account": "temperature",
"to_account": "luckdiver",
"percent": 10000,
"auto_vest": false
}
]
}